Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebHistoryInterface

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.webkit.QWebHistoryInterface

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QWebHistoryInterface

extends QObject

The `QWebHistoryInterface` class provides an interface to implement link history. The `QWebHistoryInterface` is an interface that can be used to implement link history. It contains two pure virtual methods that are called by the WebKit engine. `addHistoryEntry()` is used to add pages that have been visited to the interface, while `historyContains()` is used to query whether this page has been visited by the user.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QWebHistoryInterface()` Constructs a new `QWebHistoryInterface` with parent `parent`.
`QWebHistoryInterface(QObject parent)` Constructs a new `QWebHistoryInterface` with parent `parent`.

Method Summary
`abstract void` | `addHistoryEntry(java.lang.String url)` Called by {@link | `static QWebHistoryInterface` | `defaultInterface()` Returns the default interface that will be used by {@link | `static QWebHistoryInterface` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QWebHistoryInterface instance pointed to by `nativePointer`.
`abstract boolean` | `historyContains(java.lang.String url)` Called by the {@link | `static void` | `setDefaultInterface(QWebHistoryInterface defaultInterface)` Sets a new default interface, `defaultInterface`, that will be used by all of {@link
Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`
Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`
Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`
Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`
Constructor Detail
### QWebHistoryInterface
    public QWebHistoryInterface()
Constructs a new `QWebHistoryInterface` with parent `parent`. ### QWebHistoryInterface
    public QWebHistoryInterface(QObject parent)
Constructs a new `QWebHistoryInterface` with parent `parent`.
Method Detail
### addHistoryEntry
    public abstract void addHistoryEntry(java.lang.String url)
Called by WebKit to add another `url` to the list of visited pages. ### historyContains
    public abstract boolean historyContains(java.lang.String url)
Called by the WebKit engine to query whether a certain `url` has been visited by the user already. Returns true if the `url` is part of the history of visited links; otherwise returns false. ### defaultInterface
    public static QWebHistoryInterface defaultInterface()
Returns the default interface that will be used by WebKit. If no default interface has been set, QtWebkit will not track history. See also: `setDefaultInterface()`. ### setDefaultInterface
    public static void setDefaultInterface(QWebHistoryInterface defaultInterface)
Sets a new default interface, `defaultInterface`, that will be used by all of WebKit for managing history. If an interface without a parent has already been set, the old interface will be deleted. When the application exists `QWebHistoryInterface` will automatically delete the `defaultInterface` if it does not have a parent. See also: `defaultInterface()`. ### fromNativePointer
    public static QWebHistoryInterface fromNativePointer(QNativePointer nativePointer)
This method returns the QWebHistoryInterface instance pointed to by `nativePointer`.
Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD